aboutsummaryrefslogtreecommitdiffstats
path: root/brp-mangle-shebangs
diff options
context:
space:
mode:
authorJani Välimaa <wally@mageia.org>2019-12-24 12:59:20 +0200
committerJani Välimaa <wally@mageia.org>2019-12-24 13:13:23 +0200
commit2b124461dab07cf1d56e2caa80e51cf0adcb03cd (patch)
treec0a41ea4e7374c559d211c4e900a543d625e6457 /brp-mangle-shebangs
parent0df0e51b1a48e32ea92d658513ed878b4006a381 (diff)
downloadrpm-setup-2b124461dab07cf1d56e2caa80e51cf0adcb03cd.tar
rpm-setup-2b124461dab07cf1d56e2caa80e51cf0adcb03cd.tar.gz
rpm-setup-2b124461dab07cf1d56e2caa80e51cf0adcb03cd.tar.bz2
rpm-setup-2b124461dab07cf1d56e2caa80e51cf0adcb03cd.tar.xz
rpm-setup-2b124461dab07cf1d56e2caa80e51cf0adcb03cd.zip
brp-mangle-shebangs: do not exit if read has a non-zero status
At least building texlive-texmf fails without this because brp-mangle-shebangs has -e in its shebang. -e Exit immediately if a command exits with a non-zero status. $ read shebang_line < BUILD/texlive-20190410-texmf/texmf-dist/doc/generic/pst-mirror/createEPS/test.sh $ echo $? 1
Diffstat (limited to 'brp-mangle-shebangs')
-rwxr-xr-xbrp-mangle-shebangs2
1 files changed, 1 insertions, 1 deletions
diff --git a/brp-mangle-shebangs b/brp-mangle-shebangs
index 98990c0..4964c09 100755
--- a/brp-mangle-shebangs
+++ b/brp-mangle-shebangs
@@ -93,7 +93,7 @@ while IFS= read -r line; do
fi
- read shebang_line < "$f"
+ read shebang_line < "$f" ||:
orig_shebang="${shebang_line#\#!}"
if [ "$orig_shebang" = "$shebang_line" ]; then
echo >&2 "*** WARNING: $f is executable but has no shebang, removing executable bit"